package de.humance.eco.profile.model;

import com.liferay.portal.kernel.exception.SystemException;
import com.liferay.portal.model.BaseModel;
import com.liferay.portal.model.CacheModel;
import com.liferay.portal.service.ServiceContext;

import com.liferay.portlet.expando.model.ExpandoBridge;

import java.io.Serializable;

/**
 * The base model interface for the VehicleUser service. Represents a row in the &quot;Profile_VehicleUser&quot; database table, with each column mapped to a property of this class.
 *
 * <p>
 * This interface and its corresponding implementation {@link de.humance.eco.profile.model.impl.VehicleUserModelImpl} exist only as a container for the default property accessors generated by ServiceBuilder. Helper methods and all application logic should be put in {@link de.humance.eco.profile.model.impl.VehicleUserImpl}.
 * </p>
 *
 * @author Humance
 * @see VehicleUser
 * @see de.humance.eco.profile.model.impl.VehicleUserImpl
 * @see de.humance.eco.profile.model.impl.VehicleUserModelImpl
 * @generated
 */
public interface VehicleUserModel extends BaseModel<VehicleUser> {
    /*
     * NOTE FOR DEVELOPERS:
     *
     * Never modify or reference this interface directly. All methods that expect a vehicle user model instance should use the {@link VehicleUser} interface instead.
     */

    /**
     * Returns the primary key of this vehicle user.
     *
     * @return the primary key of this vehicle user
     */
    public long getPrimaryKey();

    /**
     * Sets the primary key of this vehicle user.
     *
     * @param primaryKey the primary key of this vehicle user
     */
    public void setPrimaryKey(long primaryKey);

    /**
     * Returns the vehicle user ID of this vehicle user.
     *
     * @return the vehicle user ID of this vehicle user
     */
    public long getVehicleUserId();

    /**
     * Sets the vehicle user ID of this vehicle user.
     *
     * @param vehicleUserId the vehicle user ID of this vehicle user
     */
    public void setVehicleUserId(long vehicleUserId);

    /**
     * Returns the vehicle user uuid of this vehicle user.
     *
     * @return the vehicle user uuid of this vehicle user
     * @throws SystemException if a system exception occurred
     */
    public String getVehicleUserUuid() throws SystemException;

    /**
     * Sets the vehicle user uuid of this vehicle user.
     *
     * @param vehicleUserUuid the vehicle user uuid of this vehicle user
     */
    public void setVehicleUserUuid(String vehicleUserUuid);

    /**
     * Returns the user ID of this vehicle user.
     *
     * @return the user ID of this vehicle user
     */
    public long getUserId();

    /**
     * Sets the user ID of this vehicle user.
     *
     * @param userId the user ID of this vehicle user
     */
    public void setUserId(long userId);

    /**
     * Returns the user uuid of this vehicle user.
     *
     * @return the user uuid of this vehicle user
     * @throws SystemException if a system exception occurred
     */
    public String getUserUuid() throws SystemException;

    /**
     * Sets the user uuid of this vehicle user.
     *
     * @param userUuid the user uuid of this vehicle user
     */
    public void setUserUuid(String userUuid);

    /**
     * Returns the vehicle ID of this vehicle user.
     *
     * @return the vehicle ID of this vehicle user
     */
    public long getVehicleId();

    /**
     * Sets the vehicle ID of this vehicle user.
     *
     * @param vehicleId the vehicle ID of this vehicle user
     */
    public void setVehicleId(long vehicleId);

    @Override
    public boolean isNew();

    @Override
    public void setNew(boolean n);

    @Override
    public boolean isCachedModel();

    @Override
    public void setCachedModel(boolean cachedModel);

    @Override
    public boolean isEscapedModel();

    @Override
    public Serializable getPrimaryKeyObj();

    @Override
    public void setPrimaryKeyObj(Serializable primaryKeyObj);

    @Override
    public ExpandoBridge getExpandoBridge();

    @Override
    public void setExpandoBridgeAttributes(BaseModel<?> baseModel);

    @Override
    public void setExpandoBridgeAttributes(ExpandoBridge expandoBridge);

    @Override
    public void setExpandoBridgeAttributes(ServiceContext serviceContext);

    @Override
    public Object clone();

    @Override
    public int compareTo(VehicleUser vehicleUser);

    @Override
    public int hashCode();

    @Override
    public CacheModel<VehicleUser> toCacheModel();

    @Override
    public VehicleUser toEscapedModel();

    @Override
    public VehicleUser toUnescapedModel();

    @Override
    public String toString();

    @Override
    public String toXmlString();
}
